:root {
    --feher: var(--wp--preset--color--base-2);
	--feher-08: rgba(255,255,255,0.8);
	--feher-06: rgba(255,255,255,0.6);
	--feher-04: rgba(255,255,255,0.4);
	--feher-02: rgba(255,255,255,0.2);	
    --fekete: var(--wp--preset--color--contrast);
	--fekete-08: rgba(0,0,0,0.8);
	--fekete-06: rgba(0,0,0,0.6);
	--fekete-04: rgba(0,0,0,0.4);
	--fekete-02: rgba(0,0,0,0.2);
    --fekete2: #333;
    --sz1: var(--wp--preset--color--contrast-2);
    --sz2: var(--wp--preset--color--contrast-3);
    --sz3: var(--wp--preset--color--accent);
    --sz4: var(--wp--preset--color--accent-2);
    --sz5: var(--wp--preset--color--accent-3);
	--sz6: var(--wp--preset--color--base);
	--sz7: #f7f7f7;
    --kek: var(--wp--preset--color--accent-4);
	--kek-04: rgba(69,195,211,0.4);
	--kek-02: rgba(69,195,211,0.2);
    --zold: var(--wp--preset--color--accent-5);
	--piros: #dc3232;
	--inset: inset 0 0 0 1px rgba(0,0,0,0.3);
	--radius: 0.33rem;
	--radius-l: 0.33rem 0 0 0.33rem;
	--radius-r: 0 0.33rem 0.33rem 0;
	--radius-t: 0.33rem 0.33rem 0 0;
	--radius-b: 0 0 0.33rem 0.33rem;
	--radius-rt: 0 0.33rem 0 0;
}

::-moz-selection {
  color: var(--feher);
  background: var(--kek);
}

::selection {
  color: var(--feher);
  background: var(--kek);
}

body {
	margin-top: 120px;
	overflow-y: scroll!important;
	padding-right: 0!important;
}
body.home {
	margin-top: 94px;
}
*:focus {
	outline: none!important;
}

#wpadminbar {
	display: none;
}



/*-----------------------------------------------*/

#loader {
	position: fixed;
	z-index: 99999;
	top: 200px;
	left: calc(50% - 50px);
	width: 100px;
	height: 100px;
	transform: scale(0);
	transition: transform 0.3s;
}

#loader.on {
	transform: scale(1);
}
#loader .img {
	background-image: url('/wp-content/mu-plugins/loading.svg');
	background-position: center;
	background-size: 100%;
	background-repeat: no-repeat;
	width: 100px;
	height: 100px;
	position: absolute;
	top: 0;
	left: 0;
}

@keyframes loaderMoving {
  from	{ transform: rotate(0deg); }
  to	{ transform: rotate(360deg); }
}

#loader .img.move {
	animation-name: loaderMoving;
	animation-duration: 1s;
	animation-timing-function: linear;
	animation-iteration-count: infinite;
}

/*-----------------------------------------------*/


header.wp-block-template-part + div,
main,
footer {
	opacity: 0;
	transition: opacity 0.5s;
}

body.kollereszter header.wp-block-template-part + div,
body.kollereszter main,
body.kollereszter footer {
	opacity: 1;
}


img.custom-logo {
	transition: 0.15s;
    transform: scale(0);
    opacity: 0;
}
body.kollereszter img.custom-logo {
    transform: scale(1);
    opacity: 1;
}
body.kollereszter.loading img.custom-logo {
	transition: 0.3;
    transform: scale(0);
    opacity: 0;
}

body.loading * {
	cursor: wait;
}

h1.wp-block-site-title a {
	transform: translateX(-30px);
    position: absolute;
    top: 35px;
    opacity: 0;
	transition: 0.15s;
}

@media (max-width: 1200px) {
	h1 {
		font-size: 40px;
	}
}
h3.wp-block-post-title {
	font-weight: 600;
	padding: 0 15px;
	line-height: 1.3;
}
body.kollereszter h1.wp-block-site-title a {
	transform: translateX(0);
    opacity: 1;
}
body.kollereszter.loading h1.wp-block-site-title a {
	transition: 0.3s;
	transform: translateX(-30px);
    opacity: 0;
}

ul {
	padding-left: 16px;
}

p:has(small) {
	line-height: 1.3;
}

/* HOVERS */

:root :where(.wp-element-button:focus, .wp-block-button__link:focus) {
	background-color: var(--fekete);
	border-color: var(--fekete);
}

:root :where(.wp-element-button:hover, .wp-block-button__link:hover) {
	background-color: var(--fekete2);
	border-color: var(--fekete2);
}

.wp-block-post-template .product,
.wc-block-product-template .product,
body.home .wc-block-product-categories-list-item {
	background: var(--sz6);
	border-radius: var(--radius);
	overflow: hidden;
	transition: background 0.15s;
}
/*
.wc-block-product-template .product {
	background: var(--feher);
}*/

.wp-block-post-template .product:hover,
.wc-block-product-template .product:hover {
    background: var(--feher);
}
/*
.wc-block-product-template .product:hover {
	background: var(--sz6);
}
*/


.wc-block-components-product-image__inner-container {
	position: relative;
	padding: 0;
}

.wp-block-post-template .product .wc-block-components-product-image a:after,
.wc-block-product-template .product .wc-block-components-product-image a:after,
body.home .wc-block-product-categories-list-item a:after {
	width: 100%;
    height: 100%;
    content: '';
    display: block;
    top: 0;
	left: 0;
    position: absolute;
	transition: 0.15s;
	border-radius: var(--radius);
	z-index: 1;
}

.wp-block-post-template .product .wc-block-components-product-image img,
.wc-block-product-template .product .wc-block-components-product-image img,
body.home .wc-block-product-categories-list-item .wc-block-product-categories-list-item__image img {
	transform-origin: bottom;
	transition: transform 0.15s;
	transform: scale(1.01);
}

.wp-block-post-template .product:hover .wc-block-components-product-image img,
.wc-block-product-template .product:hover .wc-block-components-product-image img,
body.home .wc-block-product-categories-list-item:hover .wc-block-product-categories-list-item__image img {
    transform: scale(1.1);
}

body:not(.home) .wc-block-product-categories-list-item a {
	width: calc(100% - 10px);
    display: block;
    padding: 3px 5px;
	border-radius: var(--radius-l);
}
body:not(.home) .wc-block-product-categories-list-item a:hover {
	background: var(--sz6);	
}
body:not(.home) .wc-block-product-categories-list-item a.current {
	background: var(--feher);
	filter: invert(1);
}

body.home .wc-block-product-categories-list-item .wc-block-product-categories-list-item__name {
	position: absolute;
    bottom: 20px;
    left: 50%;
	transform: translateX(-50%);
    padding: 7px 15px;
    line-height: normal;
	color: var(--fekete);
	background: var(--feher);	
    text-align: center;
    line-height: 1.2;
    width: max-content;
	border-radius: var(--radius);
    transition: background 0.15s, color 0.15s;
	font-weight: 500;
	font-size: 16px;
}

@media (max-width: 1000px) {
	body.home .wc-block-product-categories-list-item .wc-block-product-categories-list-item__name {
		font-size: 15px;
	}
}

body.home .wc-block-product-categories-list-item:hover .wc-block-product-categories-list-item__name {
	background: var(--fekete);
	color: var(--feher);
}

nav .wp-block-navigation-item__content,
body:not(.home) .wc-block-product-categories-list-item a span,
.wp-block-post-template .product .wp-block-post-title a,
.wc-block-product-template .product .wp-block-post-title a,
body.home .wc-block-product-categories-list-item .wc-block-product-categories-list-item__name {
	/*
	box-shadow: 0 1px 0 0 transparent;
	transition: box-shadow 0.15s;
	*/
}

nav .wp-block-navigation-item__content:hover,
body:not(.home) .wc-block-product-categories-list-item a:hover span,
.wp-block-post-template .product:hover .wp-block-post-title a,
.wc-block-product-template .product:hover .wp-block-post-title a,
body.home .wc-block-product-categories-list-item:hover .wc-block-product-categories-list-item__name {
	/*
	transition: none;
	box-shadow: 0 1px 0 0 var(--fekete);*/
}



body:not(.home) .wc-block-product-categories-list-item a.current:hover span {
	box-shadow: none;
}


/* HEADER */

header {
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	z-index: 2;
	background-color: var(--feher);
	border: 1px solid transparent;
	transition: background-color 0.3s, border 0.3s;
}

header.top {
	background-color: var(--sz7);
	/*box-shadow: 0 0 50px rgba(0,0,0,0.1);	*/
	border-bottom: 1px solid var(--sz4);
}

header>.wp-block-group {
    max-width: var(--wp--style--global--content-size);
    margin: 0 auto;
	padding-left: var(--wp--preset--spacing--50);
	padding-right: var(--wp--preset--spacing--50);
	box-sizing: content-box;
}

header .wp-block-search__inside-wrapper {
	position: relative;
}	

.wp-block-search.wp-block-search__button-only .wp-block-search__button[aria-expanded=true] {
	max-width: unset;
}

header .wp-block-search__input {
	position: fixed;
    width: calc(100% - 40px);
    right: 20px;
    background: var(--sz5);
    top: 13px;
    padding: 20px 30px;
    font-size: 16.8px;
    z-index: 3;
	border-radius: var(--radius);
	border: 1px solid var(--sz4);
    box-sizing: border-box;	
}

header .wp-block-search__button {
	transition: background-color 0.3s;
	padding: 0.5em;
}

header.top .wp-block-search__button {
	background-color: var(--sz7)!important;
}

header .wp-block-search__button svg {
	transform: scale(1.25);
}

header .wp-block-site-title {
	display: none;
}

.wp-block-woocommerce-customer-account a .wc-block-customer-account__account-icon {
	
}

.wc-block-mini-cart__icon {
	width: 1.7em
}
.wc-block-mini-cart__badge {
	font-size: 0.8em;
	background-color: var(--fekete)!important;
    color: var(--feher)!important;
    line-height: 20px;	
}

.wc-block-mini-cart__drawer .wc-block-components-product-metadata,
.wc-block-mini-cart__drawer .wc-block-cart-item__prices {
	display: none;
}

h2.wc-block-mini-cart__title .wp-block-woocommerce-mini-cart-title-items-counter-block {
	font-size: 18px;
    font-weight: 400;
}

.wc-block-mini-cart__footer {
	border-top: 1px solid var(--sz5);
}



header .nav {
	direction: rtl;
}

header .icons {
	direction: ltr;
}



@media (min-width: 500px) {
	header .wp-block-site-title {
		display: block;
	}
}
@media (min-width: 600px) {
    .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: none;
    }
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: flex;
    }

}

@media (min-width: 1000px) {
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		background-color: inherit;
		display: block;
		position: relative;
		width: 100%;
		z-index: auto;
	}
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: none;
	}
	
	
	header .wp-block-search__input {
		position: absolute;
		right: 40px;
		width: 500px;
		top: -10px;
	}
	
	header .nav {
		direction: ltr;
	}


}


/* MAIN */

:root :where(.is-layout-constrained) > * {
	margin-block-start: 0;
}

a:where(:not(.wp-element-button)) {
	text-decoration: none;
}
a:where(:not(.wp-element-button)):hover {
	text-decoration: none;
}


body:not(.home) .wc-block-product-categories-list {
	padding: 0;
	margin: 0;
}

body:not(.home) .wc-block-product-categories-list-item {
	list-style: none;
	position: relative;
}

body:not(.home) .wc-block-product-categories-list-item img {
	height: 35px;
    vertical-align: middle;
    margin-right: 10px;
}

body:not(.home) .wc-block-product-categories-list-item a .wc-block-product-categories-list-item__name {
	position: absolute;
    top: 7px;
	max-width: calc(100% - 50px);
	height: 28px;
    overflow: hidden;
}





/* WOO */


.wc-block-checkout__pickup-options .wc-block-components-local-pickup-rates-control .wc-block-components-radio-control__label-group em, .wp-block-woocommerce-checkout-pickup-options-block .wc-block-components-local-pickup-rates-control .wc-block-components-radio-control__label-group em {
	text-transform: none;
}

.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__header, table.wc-block-cart-items .wc-block-cart-items__header {
	text-transform: none;
}

.editor-styles-wrapper .wc-block-grid__products .wc-block-grid__product .wc-block-components-product-image, .wc-block-components-product-image {
	position: static;
}

.wp-block-post-template .product,
.wc-block-product-template .product{
	position: relative;	
	padding-bottom: 30px;
}

.wp-block-button.wc-block-components-product-button {
	margin-top: 60px;
}

.wp-block-button.wc-block-components-product-button span[data-wp-bind--hidden] {
	display: none;
}

.wp-block-post-template .product .wp-block-woocommerce-product-price,
.wc-block-product-template .product .wp-block-woocommerce-product-price {
	position: absolute;
    bottom: 47px;
    width: 100%;
}

li.wp-block-post,
li.wc-block-product{
	position: relative;
}

.wp-block-group.product-category-description {
	background: var(--sz6);
    padding-top: 30px;
    padding-bottom: 30px;
}

.wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button {
    position: absolute;
    bottom: 10px;
    height: 40px;
    line-height: normal;
    width: calc(100% - 20px);
    background-color: var(--feher);
    color: var(--fekete);
    transition: 0.15s;
	z-index: 1;
}

.wp-block-post-template .product:hover .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button,
.wc-block-product-template .product:hover .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button {
	background-color: var(--sz6);
}

/*
.wc-block-product-template .product .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button {
	background-color: var(--sz6)
}

.wc-block-product-template .product:hover .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button {
	background-color: var(--feher);
}
*/

.wp-block-post-template .product:hover .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button:hover,
.wc-block-product-template .product:hover .wp-block-button.wc-block-components-product-button .wc-block-components-product-button__button:hover {
	background-color: var(--fekete);
	color: var(--feher);
	transition: none;
}

.wp-block-post span[data-wp-bind--hidden] {
	display: none;
}


body.home .wc-block-product-categories-list {
	margin: 0;
    padding: 0;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-items: stretch;
	gap: 2px;
}

body.home .wc-block-product-categories-list-item {
	margin: -0.1px 0 0 0;
	position: relative;
	flex: 0 0 calc(20% - 1.6px);
	border-radius: 0;
}

@media (max-width: 1400px) {
	body.home .wc-block-product-categories-list-item {
		flex: 0 0 calc(25% - 1.5px);
	}
}
@media (max-width: 1000px) {
	body.home .wc-block-product-categories-list-item {
		flex: 0 0 calc(33.3333% - 1.3333px);
	}
}

@media (max-width: 700px) {
	body.home .wc-block-product-categories-list-item {
		flex: 0 0 calc(50% - 1px);
	}
}
@media (max-width: 400px) {
	body.home .wc-block-product-categories-list-item {
		flex: 0 0 100%;
	}
}


body.home .wc-block-product-categories-list-item__image {
	width: 100%;
    max-width: unset;
    margin: 0;
}
body.home .wc-block-product-categories-list-item__name {
	text-decoration: none;
	font-weight: 600;
}
.wc-block-product-categories-list--has-images .wc-block-product-categories-list-item__image {
	border: none;
}


.woocommerce div.product div.images .flex-control-thumbs li img {
	opacity: 1!important;
	transition: opacity 0.15s;
}
.woocommerce div.product div.images .flex-control-thumbs li:hover img {
	
}
.woocommerce div.product div.images .flex-control-thumbs li img.flex-active {
	opacity: 0.25!important;
}


.woocommerce div.product div.images .woocommerce-product-gallery__image--placeholder {
	border: none;
}


.wc-block-components-notices {
	z-index: 2;
    position: relative;
}

.wc-block-components-notice-banner.is-error {
	background: #cc1818;
    color: var(--feher);
}

.wc-block-components-notice-banner>.wc-block-components-notice-banner__content .wc-forward {
	color: var(--fekete) !important;
	background: var(--feher) !important;
    padding: 0 10px !important;
    text-decoration: none;
    opacity: 1;
	
}

.wc-block-components-notice-banner>.wc-block-components-button {
	opacity: 1;
}
.wc-block-components-notice-banner.is-error>.wc-block-components-button>svg {
	fill: var(--feher);
}

.wc-block-components-totals-shipping .wc-block-components-shipping-address {
	display: none;
}

.wc-block-components-quantity-selector {
	border: 1px solid var(--sz4);
}

.wc-block-components-quantity-selector input.wc-block-components-quantity-selector__input {
	max-width: 65px;
	background: var(--sz7);
}
.wc-block-components-quantity-selector input.wc-block-components-quantity-selector__input:hover,
.wc-block-components-quantity-selector input.wc-block-components-quantity-selector__input:focus {
	background: var(--sz6);
}



.woocommerce .quantity button,
.wc-block-components-quantity-selector .wc-block-components-quantity-selector__button {
	background: var(--sz7);
	opacity: 1!important;
}

.woocommerce .quantity button[disabled],
.wc-block-components-quantity-selector .wc-block-components-quantity-selector__button[disabled] {
	color: var(--sz5);
}

.woocommerce .quantity button:hover,
.wc-block-components-quantity-selector .wc-block-components-quantity-selector__button:hover {
	background: var(--sz6);
}

.woocommerce .quantity button[disabled]:hover,
.wc-block-components-quantity-selector .wc-block-components-quantity-selector__button[disabled]:hover {
	background: var(--sz7);
}


.wc-block-components-totals-item__value>strong {
	display: none;
}

body:not(.home) .category-list {
	border-right: 1px solid var(--sz4);
	margin: 1em 0;
}
/*
body:not(.home) .wc-block-product-categories {
	border-right: 1px solid var(--sz4);
}
*/

.woocommerce div.product div.images .flex-control-thumbs {
	text-align: center;
	margin: -0.5em !important;
}
.woocommerce div.product div.images .flex-control-thumbs li {
	width: calc(25% - 1em) !important;
    float: unset;
    padding: 0.5em;
    list-style: none;
	display: inline-table;
}

.woocommerce div.product div.images.woocommerce-product-gallery .flex-viewport {
	margin-bottom: 1em;
}

.woocommerce div.product div.woocommerce-product-gallery__image,
.woocommerce div.product div.images img,
img.pswp__img {
	border-radius: var(--radius);
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
	z-index: 1!important;
}



@media (max-width: 1200px){
	
	body.tax-product_cat ul.products-block-post-template,
	body.single-product ul.products-block-post-template {
		grid-template-columns: repeat(3, minmax(0, 1fr));
	}
}

body.single-product .wp-block-columns {
  flex-wrap: wrap!important;
}

@media (max-width: 1100px) {
	body.single-product .wp-block-columns .wp-block-column.category-list {
		flex-basis: 100%!important;
	}
	
	body.single-product .wp-block-columns .wp-block-column:has(.wp-block-woocommerce-product-image-gallery),
	body.single-product .wp-block-columns .wp-block-column:has(h1.wp-block-post-title) {
		 flex: 0 0 calc((100% - 1.2rem) / 2);
	}
	
	body.single-product .wc-block-product-categories-list-item {
		display: inline-block;
        width: calc(25% - 10px);
        border-right: 1px solid var(--sz4);
        margin: 0 9px 0 0;
	}
	
	body.single-product .wc-block-product-categories-list-item:nth-child(4n+4) {
		border: none;
		margin-right: 0;
	}
	
	body.single-product .wc-block-product-categories-list-item:nth-child(4n+4) a {
		border-radius: var(--radius);
	}

	body.single-product .wc-block-product-categories-list-item img {
		height: 28px;
		margin-right: 5px;
	}
	
	body.single-product .wc-block-product-categories-list-item a .wc-block-product-categories-list-item__name {
		font-size: 16px;
	}	
	
}

@media (max-width: 900px){
	body.tax-product_cat ul.products-block-post-template,
	body.single-product ul.products-block-post-template	{
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}
}
@media (max-width: 782px){
	
	.wp-block-column:has(.wc-block-product-categories.is-list)	{
		border: none;
	}
	
	body:not(.home) .wc-block-product-categories-list-item,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(4n+4)	{
		display: inline-block;
        width: calc(33.3333% - 10px);
        border-right: 1px solid var(--sz4);
        margin: 0 9px 0 0;
	}
	
	body:not(.home) .wc-block-product-categories-list-item:nth-child(3n+3) {
		border: none;
		margin-right: 0;
	}
	
	body:not(.home) .wc-block-product-categories-list-item:nth-child(3n+3) a {
		border-radius: var(--radius);
	}
	
	body:not(.home) .wc-block-product-categories-list-item img {
		height: 28px;
		margin-right: 5px;
	}
	
	body:not(.home) .wc-block-product-categories-list-item a .wc-block-product-categories-list-item__name {
		font-size: 16px;
	}
	
	body.tax-product_cat ul.products-block-post-template,
	body.single-product ul.products-block-post-template	{
		grid-template-columns: repeat(3, minmax(0, 1fr));
	}
}
@media (max-width: 650px){
	
	body.tax-product_cat ul.products-block-post-template,
	body.single-product ul.products-block-post-template	{
		grid-template-columns: repeat(2, minmax(0, 1fr));
	}

}
@media (max-width: 600px){
	
	body.tax-product_cat ul.products-block-post-template,
	body.single-product ul.products-block-post-template	{
		grid-template-columns: repeat(2, minmax(0, 1fr))!important;
	}
}

@media (max-width: 550px) {
	body:not(.home) .wc-block-product-categories-list-item,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(4n+4),
	body:not(.home) .wc-block-product-categories-list-item:nth-child(3n+3)	{
        width: calc(50% - 10px);
        border-right: 1px solid var(--sz4);
        margin: 0 9px 0 0;
	}
	
	body:not(.home) .wc-block-product-categories-list-item:nth-child(2n+2) {
		border: none;
		margin-right: 0;
	}
	
	body:not(.home) .wc-block-product-categories-list-item a,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(4n+4) a,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(3n+3) a	{
		border-radius: var(--radius-l);
	}	
	body:not(.home) .wc-block-product-categories-list-item:nth-child(2n+2) a {
		border-radius: var(--radius);
	}	
}
@media (max-width: 450px){
	
	body.tax-product_cat ul.products-block-post-template,
	body.single-product ul.products-block-post-template	{
		grid-template-columns: 1fr!important;
	}
	
	body.tax-product_cat ul.products-block-post-template .product,
	body.single-product ul.products-block-post-template .product {
		margin: 0 auto;
		max-width: 250px;
	}
}

@media (max-width: 400px){
	body:not(.home) .wc-block-product-categories-list-item,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(4n+4),
	body:not(.home) .wc-block-product-categories-list-item:nth-child(3n+3),
	body:not(.home) .wc-block-product-categories-list-item:nth-child(2n+2) {
        width: 100%;
        border: none;
        margin: 0;
	}
	body:not(.home) .wc-block-product-categories-list-item a,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(4n+4) a,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(3n+3) a,
	body:not(.home) .wc-block-product-categories-list-item:nth-child(2n+2) a {
		border-radius: var(--radius);
	}	
}

/*------------------------------------------*/

body.archive .product-category-description {
	padding: 15px 0;
} 

.wp-block-woocommerce-related-products,
.wp-block-woocommerce-product-collection {
	padding: 30px 0 80px 0;
	margin-top: 60px;
	/*background-color: var(--sz6);
	box-shadow: -500px 0 0 0 var(--sz6), 500px 0 0 0 var(--sz6);*/
	width: calc(100% - 40px);
	margin: 0 auto;
}

.wp-block-woocommerce-related-products ul.products-block-post-template .product,
.wp-block-woocommerce-product-collection ul.products-block-post-template .product {
	background: var(--feher);
	border-radius: var(--radius);
	overflow: hidden;
}
.wp-block-woocommerce-product-collection h2.wp-block-heading {
	line-height: 1.2;
	text-align: center;
	padding: 0 12px 30px 12px;
} 

.wp-block-product-template h2,
.wp-block-post-template h2 {
	line-height: 1.2;
	text-align: center;
	padding: 0 12px 0 12px;
}

@media (max-width: 650px){
	.wp-block-woocommerce-related-products,
	.wp-block-woocommerce-product-collection {
		/*box-shadow: -200px 0 0 0 var(--sz6), 200px 0 0 0 var(--sz6);*/
	}
}

.vp-woo-pont-block-list-item-search .search-autocomplete .wrapper {
	border-color: var(--sz3);
}

@keyframes orderButton {
	0%	 { box-shadow: 0 0 0 0 var(--kek); }
	60%	 { box-shadow: 0 0 0 15px transparent; }
	100% { box-shadow: 0 0 0 15px transparent; }
}

.wc-block-components-checkout-place-order-button {
	font-size: 20px;
    font-weight: 700;
	color: var(--feher)!important;
	background: var(--kek);
	transition: background 0.15s!important;
    letter-spacing: 0.5px;
	margin-top: 20px;
}

.wc-block-components-checkout-place-order-button:not(:disabled) {
	animation-name: orderButton;
	animation-duration: 2s;
	animation-iteration-count: infinite;	
}

.wc-block-components-checkout-place-order-button:hover {
	opacity: 1;
	background: var(--fekete);
}

.wc-block-components-checkout-place-order-button .wc-block-components-button__text,
.wc-block-components-checkout-place-order-button:disabled .wc-block-components-button__text {
	opacity: 1!important;
}

@media (min-width: 700px) {
    .wc-block-checkout__sidebar.is-sticky {
        position: sticky;
        top: 88px;
    }
}

.vp-woo-pont-block-list-item.selected {
	background: var(--feher);
    border: none;
    box-shadow: 0 0 0 2px var(--sz4), inset 0 0 0 100px rgba(0,0,0,0.05);
    border-radius: var(--radius);
    z-index: 1;
}

.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control-accordion-option--checked-option-highlighted, .wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted,

.vp-woo-pont-block-list-item.selected:has(.vp-woo-pont-block-list-item-details .vp-woo-pont-block-selected),

.edit-post-visual-editor .wc-block-checkout__shipping-method-option.wc-block-checkout__shipping-method-option--selected, .wc-block-checkout__shipping-method-option.wc-block-checkout__shipping-method-option--selected {
    background: var(--feher);
    border: none;
    box-shadow: 0 0 0 2px var(--kek), inset 0 0 0 100px var(--kek-04);
    border-radius: var(--radius);
    z-index: 1;
}

.wc-block-checkout__shipping-method .wc-block-checkout__shipping-method-container {
	background: var(--feher);
    border: 1px solid var(--sz4);
    padding: 0;
    border-radius: var(--radius);
	gap: 0;
}

.wc-block-checkout__shipping-method-option:hover,
.vp-woo-pont-block-list-item:hover,
.wc-block-components-local-pickup-select label:hover,
.wc-block-components-radio-control-accordion-option:hover {
	background: var(--sz7);
}

.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control__option:after,
.wc-block-components-radio-control--highlight-checked div.wc-block-components-radio-control-accordion-option:after {
	background: transparent;
}


:where(.wp-block-woocommerce-add-to-cart-form>*+*) {
	padding: 0;
}


input:not([type="checkbox"]):not([type="radio"]):not(.wp-block-search__input):not(.vp-woo-pont-block input):not(.wc-block-components-quantity-selector__input), textarea, .wc-blocks-components-select .wc-blocks-components-select__select {
	font-weight: 600;
    padding: 35px 12px 20px 12px;
}

.wpcf7-form input,
.wpcf7-form textarea {
	padding: 12px!important;
}

.wpcf7-form textarea {
	height: 130px;
}

input, textarea {
	transition: border 0.15s;
}

input:focus,
textarea:focus {
    border-color: var(--sz1) !important;
}

#shipping-country,
#billing-country {
	padding: 16px 12px 0 12px;
    height: 57px;
}

#shipping-country:focus,
#billing-country:focus {
	border: 1px solid var(--sz4);
}

.wc-blocks-components-select .wc-blocks-components-select__label,
.wc-block-components-form .wc-block-components-text-input label,
.wc-block-components-text-input label {
	left: 12px;
	top: 30px;
	transition: 0.1s!important;
}

.wc-block-components-form .wc-block-components-text-input input:-webkit-autofill+label,
.wc-block-components-form .wc-block-components-text-input.is-active label,
.wc-block-components-text-input input:-webkit-autofill+label,
.wc-block-components-text-input.is-active label,
.wc-blocks-components-select .wc-blocks-components-select__label {
	top: 9px;
	opacity: 0.4;
}

.wc-block-components-address-form__country.wc-block-components-country-input {
	display: none;
}


.sc-gEvEer.hfNUBZ {
    height: 0;
	overflow: hidden;
}

.wc-block-components-notice-banner.is-info>svg {
	background-color: var(--kek);
}
.wc-block-components-notice-banner.is-info {
	border-color: var(--kek);
	background: var(--kek-02);
}




/* FOOTER */

footer .wp-block-group {
	background-color: var(--sz6);
}
/*body.single-product footer .wp-block-group,*/
body.page-id-199 footer .wp-block-group {
	background-color: var(--feher);
	margin-top: 0!important;
}

body.page-id-199 footer .wp-block-group {
	padding-top: 1px!important;
}

body.page-id-199 footer .wp-block-group h2 {
	display: none;
}

@media (max-width: 782px) {
	footer .wp-block-social-links {
		padding-top: 0!important;
	}
}

footer .wp-block-social-links .wp-social-link svg {
	width: 50px;
    height: 50px;
}

.wp-block-social-link:hover {
	transform: scale(1);
	text-decoration: underline;
}

.woocommerce .wp-block-woocommerce-product-image-gallery {
	max-width: unset;
}

/* CONTACT FORM 7 */

input:not([type="checkbox"]):not([type="radio"]):not(.wp-block-search__input):not(.vp-woo-pont-block input):not(.wc-block-components-quantity-selector__input),
textarea,
.wc-blocks-components-select .wc-blocks-components-select__select {
	font-size: var(--wp--preset--font-size--medium);
	border-radius: var(--radius);
	border: 1px solid var(--sz4);
	width: 100%;
    box-sizing: border-box;
	background-color: var(--sz6);
}

footer .wp-block-group .wpcf7-form-control {
	background-color: var(--feher)!important;
	padding: 0.6rem 1rem;
	font-family: var(--wp--preset--font-family--myriad-pro);
}

/*body.single-product footer .wp-block-group .wpcf7-form-control,*/
body.page-id-199 footer .wp-block-group .wpcf7-form-control {
	background-color: var(--sz7)!important;
}

.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
	border-color: var(--piros);
    border-radius: var(--radius);
    line-height: 1.3;
    padding: 10px 15px;
    color: var(--piros);
}

.wc-block-components-radio-control__description-group--column .wc-block-components-radio-control__description {
	margin: 0;
}

.woocommerce-result-count,
.woocommerce-ordering {
	display: none;
}

.wc-block-components-radio-control__label, .wc-block-components-radio-control__secondary-label {
	line-height: 1.5;
}

.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-product-metadata__description {
	display: none;
}


/* COOKIE */

.cky-consent-container .cky-consent-bar {
	box-shadow: 0 0 0 1px rgba(0,0,0,0.2)!important;
	padding: 8px 18px 18px 18px!important;
	border-radius: var(--radius-rt)!important;
	border: none!important;
	
} 
.cky-consent-container .cky-consent-bar .cky-notice-des p {
	line-height: 1.5;
    font-size: 13px;
} 
.cky-consent-container .cky-consent-bar button,
.cky-modal button {
    padding: 4px 4px 3px 4px;
    border-width: 1px;
    border-radius: var(--radius);
} 

.cky-box-bottom-left {
	bottom: -1px!important;
    left: -1px!important;
}

.cky-btn-revisit-wrapper .cky-btn-revisit {
	background-image: url(/wp-content/uploads/ikonok/cookie.svg) !important;
    background-size: 27px !important;
    background-position: top center !important;
    background-repeat: no-repeat !important;
}

.cky-btn-revisit-wrapper .cky-btn-revisit img {
	opacity: 0;
}
.cky-revisit-bottom-left:hover::before {
    background: var(--fekete) !important;
}
.cky-revisit-bottom-left:hover::after {
    border-right-color: var(--fekete) !important;
}